"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    return knex.schema.createTable('query_items', function (t) {
        t.increments('id').unsigned().primary().defaultTo(1);
        t.timestamps(false, true);
        t.integer('dashboard_id').notNullable();
        t.foreign('dashboard_id')
            .references('id')
            .inTable('dashboards')
            .onUpdate('CASCADE')
            .onDelete('CASCADE');
        t.boolean('backtrace_default').notNullable().defaultTo(false);
        t.index(['backtrace_default']);
        t.integer('query_item_seed_id').unique();
        t.string('name').notNullable();
        t.string('variant').notNullable();
        t.text('query');
        t.text('layouts');
    });
}
exports.up = up;
async function down(knex) {
    return knex.schema.dropTable('query_items');
}
exports.down = down;
//# sourceMappingURL=20210820115230_create_query_items.js.map