"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    return knex.schema.createTable('query_item_configs', function (t) {
        t.increments('id').unsigned().primary().defaultTo(1);
        t.timestamps(false, true);
        t.string('universe_name');
        t.index(['universe_name']);
        t.string('project_name');
        t.index(['project_name']);
        t.integer('user_id');
        t.string('user_name');
        t.index(['user_id', 'user_name']);
        t.integer('query_item_id').notNullable();
        t.foreign('query_item_id')
            .references('id')
            .inTable('query_items')
            .onUpdate('CASCADE')
            .onDelete('CASCADE');
        t.boolean('backtrace_default').notNullable().defaultTo(false);
        t.index(['backtrace_default']);
        t.integer('query_item_seed_id').unique();
        t.text('key').notNullable();
        t.index(['key']);
        t.text('val').notNullable();
    });
}
exports.up = up;
async function down(knex) {
    return knex.schema.dropTable('query_item_configs');
}
exports.down = down;
//# sourceMappingURL=20210826211922_create_item_configs.js.map