"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unpackAggregation = exports.parseAggregationRows = exports.getColumnFromResponse = exports.attributeAggregationsToColumn = void 0;
const attributeAggregations_1 = require("../model/query/attributeAggregations");
function attributeAggregationsToColumn(attribute, op) {
    return `${attributeAggregations_1.aggregationOpToString(op)}(${attribute})`;
}
exports.attributeAggregationsToColumn = attributeAggregationsToColumn;
function getColumnFromResponse(crdbResp, index) {
    return crdbResp.response.columns[index][0];
}
exports.getColumnFromResponse = getColumnFromResponse;
function parseAggregationRows(crdbResp) {
    return crdbResp.response.values.map(function (row) {
        const [group, aggregationsArray, count] = row;
        const aggregations = {};
        aggregationsArray.forEach(function (value, index) {
            aggregations[getColumnFromResponse(crdbResp, index)] = value;
        });
        return { group, count, aggregations };
    });
}
exports.parseAggregationRows = parseAggregationRows;
function unpackAggregation(row, attribute, op, defaultValue) {
    var _a, _b;
    const column = attributeAggregationsToColumn(attribute, op);
    return ((_a = row === null || row === void 0 ? void 0 : row.aggregations[column]) === null || _a === void 0 ? void 0 : _a[0]) ? (_b = row === null || row === void 0 ? void 0 : row.aggregations[column]) === null || _b === void 0 ? void 0 : _b[0] : defaultValue;
}
exports.unpackAggregation = unpackAggregation;
//# sourceMappingURL=crdbResponse.js.map