import * as Knex from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('dashboards', function (t) {
    t.increments('id').unsigned().primary().defaultTo(1);
    t.timestamps(false, true);

    t.string('universe_name').notNullable();
    t.index(['universe_name']);
    t.string('project_name');
    t.index(['project_name']);
    t.integer('user_id');
    t.string('user_name');
    t.index(['user_id', 'user_name']);

    t.string('name').notNullable();
    t.index(['name']);
    t.boolean('backtrace_default').notNullable().defaultTo(false);
    t.index(['backtrace_default']);
    t.integer('dashboard_seed_id').unique();

    t.text('grid');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('dashboards');
}
