import { apertureToDPRange } from '../src/lib/uniqueAggregations';

import { TimeAperture } from '../src/model/query';

describe('uniqueAggregations', () => {
  describe('apertureToDPRange with different ranges', () => {
    test('1688187600..1719810000', () => {
      expect(apertureToDPRange([1688187600, 1719810000] as TimeAperture)).toStrictEqual([
        1688169600,
        1719878400,
      ] as TimeAperture);
    });
    test('1625374800..1628053200', () => {
      expect(apertureToDPRange([1625374800, 1628053200] as TimeAperture)).toStrictEqual([
        1625367600,
        1628056800,
      ] as TimeAperture);
    });
    test('1625374800..1625461800', () => {
      expect(apertureToDPRange([1625374800, 1625461800] as TimeAperture)).toStrictEqual([
        1624856400,
        1625463000,
      ] as TimeAperture);
    });
    test('1625374900..1625461300', () => {
      expect(apertureToDPRange([1625374900, 1625461300] as TimeAperture)).toStrictEqual([
        1625374800,
        1625463000,
      ] as TimeAperture);
    });
    test('1625371800..1625382400', () => {
      expect(apertureToDPRange([1625371800, 1625382400] as TimeAperture)).toStrictEqual([
        1625362200,
        1625383800,
      ] as TimeAperture);
    });
    test('1625371200..1625374800', () => {
      expect(apertureToDPRange([1625371200, 1625374800] as TimeAperture)).toStrictEqual([
        1625371200,
        1625374800,
      ] as TimeAperture);
    });
  });
});
